source: squid-ssl/trunk/fuentes/helpers/basic_auth/DB/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 22 months ago

Initial release

File size: 36.9 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# helpers/basic_auth/DB/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/squid
74pkgincludedir = $(includedir)/squid
75pkglibdir = $(libdir)/squid
76pkglibexecdir = $(libexecdir)/squid
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = x86_64-pc-linux-gnu
90host_triplet = x86_64-pc-linux-gnu
91check_PROGRAMS =
92TESTS =
93am__append_1 = $(INCLTDL)
94am__append_2 = basic_db_auth.8
95am__append_3 = basic_db_auth.8
96subdir = helpers/basic_auth/DB
97ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
98am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
99        $(top_srcdir)/acinclude/init.m4 \
100        $(top_srcdir)/acinclude/squid-util.m4 \
101        $(top_srcdir)/acinclude/compiler-flags.m4 \
102        $(top_srcdir)/acinclude/os-deps.m4 \
103        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
104        $(top_srcdir)/acinclude/pkg.m4 \
105        $(top_srcdir)/acinclude/lib-checks.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
107        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
108        $(top_srcdir)/helpers/basic_auth/modules.m4 \
109        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
122        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/modules.m4 \
124        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
126        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
130        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
134        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
135        $(top_srcdir)/helpers/log_daemon/modules.m4 \
136        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
137        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
138        $(top_srcdir)/helpers/external_acl/modules.m4 \
139        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
142        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
143        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
144        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
146        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/session/required.m4 \
148        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
149        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
150        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
151        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
152        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
154        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
155        $(top_srcdir)/configure.ac
156am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
157        $(ACLOCAL_M4)
158DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
159mkinstalldirs = $(install_sh) -d
160CONFIG_HEADER = $(top_builddir)/include/autoconf.h
161CONFIG_CLEAN_FILES =
162CONFIG_CLEAN_VPATH_FILES =
163am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
164am__vpath_adj = case $$p in \
165    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
166    *) f=$$p;; \
167  esac;
168am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
169am__install_max = 40
170am__nobase_strip_setup = \
171  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
172am__nobase_strip = \
173  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
174am__nobase_list = $(am__nobase_strip_setup); \
175  for p in $$list; do echo "$$p $$p"; done | \
176  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
177  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
178    if (++n[$$2] == $(am__install_max)) \
179      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
180    END { for (dir in files) print dir, files[dir] }'
181am__base_list = \
182  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
183  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
184am__uninstall_files_from_dir = { \
185  test -z "$$files" \
186    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
187    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
188         $(am__cd) "$$dir" && rm -f $$files; }; \
189  }
190am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"
191SCRIPTS = $(libexec_SCRIPTS)
192AM_V_P = $(am__v_P_$(V))
193am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
194am__v_P_0 = false
195am__v_P_1 = :
196AM_V_GEN = $(am__v_GEN_$(V))
197am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
198am__v_GEN_0 = @echo "  GEN     " $@;
199am__v_GEN_1 = 
200AM_V_at = $(am__v_at_$(V))
201am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
202am__v_at_0 = @
203am__v_at_1 = 
204SOURCES =
205DIST_SOURCES =
206am__can_run_installinfo = \
207  case $$AM_UPDATE_INFO_DIR in \
208    n|no|NO) false;; \
209    *) (install-info --version) >/dev/null 2>&1;; \
210  esac
211man8dir = $(mandir)/man8
212NROFF = nroff
213MANS = $(man_MANS)
214am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
215am__tty_colors_dummy = \
216  mgn= red= grn= lgn= blu= brg= std=; \
217  am__color_tests=no
218am__tty_colors = { \
219  $(am__tty_colors_dummy); \
220  if test "X$(AM_COLOR_TESTS)" = Xno; then \
221    am__color_tests=no; \
222  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
223    am__color_tests=yes; \
224  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
225    am__color_tests=yes; \
226  fi; \
227  if test $$am__color_tests = yes; then \
228    red='[0;31m'; \
229    grn='[0;32m'; \
230    lgn='[1;32m'; \
231    blu='[1;34m'; \
232    mgn='[0;35m'; \
233    brg='[1m'; \
234    std='[m'; \
235  fi; \
236}
237am__recheck_rx = ^[     ]*:recheck:[    ]*
238am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
239am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
240# A command that, given a newline-separated list of test names on the
241# standard input, print the name of the tests that are to be re-run
242# upon "make recheck".
243am__list_recheck_tests = $(AWK) '{ \
244  recheck = 1; \
245  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
246    { \
247      if (rc < 0) \
248        { \
249          if ((getline line2 < ($$0 ".log")) < 0) \
250            recheck = 0; \
251          break; \
252        } \
253      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
254        { \
255          recheck = 0; \
256          break; \
257        } \
258      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
259        { \
260          break; \
261        } \
262    }; \
263  if (recheck) \
264    print $$0; \
265  close ($$0 ".trs"); \
266  close ($$0 ".log"); \
267}'
268# A command that, given a newline-separated list of test names on the
269# standard input, create the global log from their .trs and .log files.
270am__create_global_log = $(AWK) ' \
271function fatal(msg) \
272{ \
273  print "fatal: making $@: " msg | "cat >&2"; \
274  exit 1; \
275} \
276function rst_section(header) \
277{ \
278  print header; \
279  len = length(header); \
280  for (i = 1; i <= len; i = i + 1) \
281    printf "="; \
282  printf "\n\n"; \
283} \
284{ \
285  copy_in_global_log = 1; \
286  global_test_result = "RUN"; \
287  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
288    { \
289      if (rc < 0) \
290         fatal("failed to read from " $$0 ".trs"); \
291      if (line ~ /$(am__global_test_result_rx)/) \
292        { \
293          sub("$(am__global_test_result_rx)", "", line); \
294          sub("[        ]*$$", "", line); \
295          global_test_result = line; \
296        } \
297      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
298        copy_in_global_log = 0; \
299    }; \
300  if (copy_in_global_log) \
301    { \
302      rst_section(global_test_result ": " $$0); \
303      while ((rc = (getline line < ($$0 ".log"))) != 0) \
304      { \
305        if (rc < 0) \
306          fatal("failed to read from " $$0 ".log"); \
307        print line; \
308      }; \
309      printf "\n"; \
310    }; \
311  close ($$0 ".trs"); \
312  close ($$0 ".log"); \
313}'
314# Restructured Text title.
315am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
316# Solaris 10 'make', and several other traditional 'make' implementations,
317# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
318# by disabling -e (using the XSI extension "set +e") if it's set.
319am__sh_e_setup = case $$- in *e*) set +e;; esac
320# Default flags passed to test drivers.
321am__common_driver_flags = \
322  --color-tests "$$am__color_tests" \
323  --enable-hard-errors "$$am__enable_hard_errors" \
324  --expect-failure "$$am__expect_failure"
325# To be inserted before the command running the test.  Creates the
326# directory for the log if needed.  Stores in $dir the directory
327# containing $f, in $tst the test, in $log the log.  Executes the
328# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
329# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
330# will run the test scripts (or their associated LOG_COMPILER, if
331# thy have one).
332am__check_pre = \
333$(am__sh_e_setup);                                      \
334$(am__vpath_adj_setup) $(am__vpath_adj)                 \
335$(am__tty_colors);                                      \
336srcdir=$(srcdir); export srcdir;                        \
337case "$@" in                                            \
338  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
339    *) am__odir=.;;                                     \
340esac;                                                   \
341test "x$$am__odir" = x"." || test -d "$$am__odir"       \
342  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
343if test -f "./$$f"; then dir=./;                        \
344elif test -f "$$f"; then dir=;                          \
345else dir="$(srcdir)/"; fi;                              \
346tst=$$dir$$f; log='$@';                                 \
347if test -n '$(DISABLE_HARD_ERRORS)'; then               \
348  am__enable_hard_errors=no;                            \
349else                                                    \
350  am__enable_hard_errors=yes;                           \
351fi;                                                     \
352case " $(XFAIL_TESTS) " in                              \
353  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
354    am__expect_failure=yes;;                            \
355  *)                                                    \
356    am__expect_failure=no;;                             \
357esac;                                                   \
358$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
359# A shell command to get the names of the tests scripts with any registered
360# extension removed (i.e., equivalently, the names of the test logs, with
361# the '.log' extension removed).  The result is saved in the shell variable
362# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
363# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
364# since that might cause problem with VPATH rewrites for suffix-less tests.
365# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
366am__set_TESTS_bases = \
367  bases='$(TEST_LOGS)'; \
368  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
369  bases=`echo $$bases`
370RECHECK_LOGS = $(TEST_LOGS)
371AM_RECURSIVE_TARGETS = check recheck
372TEST_SUITE_LOG = test-suite.log
373TEST_EXTENSIONS =  .test
374am__test_logs1 = $(TESTS:=.log)
375am__test_logs2 = $(am__test_logs1:.log=.log)
376TEST_LOGS = $(am__test_logs2:.test.log=.log)
377TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
378TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
379        $(TEST_LOG_FLAGS)
380am__set_b = \
381  case '$@' in \
382    */*) \
383      case '$*' in \
384        */*) b='$*';; \
385          *) b=`echo '$@' | sed 's/\.log$$//'`; \
386       esac;; \
387    *) \
388      b='$*';; \
389  esac
390am__DIST_COMMON = $(srcdir)/Makefile.in \
391        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
392DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
393ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
394ADAPTATION_LIBS = adaptation/libadaptation.la
395ALLOCA = 
396AMTAR = $${TAR-tar}
397AM_DEFAULT_VERBOSITY = 1
398AR = /usr/bin/ar
399AR_R = /usr/bin/ar r
400AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
401AUTH_MODULES =  basic digest negotiate ntlm
402AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
403AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
404AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
405AWK = gawk
406BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
407BUILDCXX = g++
408BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
409BZR = 
410CACHE_EFFECTIVE_USER = proxy
411CC = gcc
412CCDEPMODE = depmode=none
413CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
414CGIEXT = .cgi
415CHMOD = /bin/chmod
416CPP = gcc -E
417CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
418CPPUNITCONFIG = /usr/bin/cppunit-config
419CRYPTLIB = -lcrypt
420CXX = g++
421CXXCPP = g++ -E
422CXXDEPMODE = depmode=none
423CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
424CYGPATH_W = echo
425DEFAULT_HOSTS = /etc/hosts
426DEFAULT_LOG_DIR = /var/log/squid-ssl
427DEFAULT_PID_FILE = /var/run/squid-ssl.pid
428DEFAULT_SWAP_DIR = /var/spool/squid-ssl
429DEFS = -DHAVE_CONFIG_H
430DEPDIR = .deps
431DIGEST_AUTH_HELPERS =  file LDAP
432DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
433DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
434DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
435DISK_OS_LIBS =  -lrt -lpthread
436DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
437DLLTOOL = false
438DSYMUTIL = 
439DUMPBIN = 
440ECAP_LIBS = ecap/libsquid-ecap.la
441ECHO_C = 
442ECHO_N = -n
443ECHO_T = 
444EGREP = /bin/egrep
445EPOLL_LIBS = 
446EUILIB = 
447EXEEXT = 
448EXPATLIB = -lexpat
449EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
450EXT_LIBECAP_CFLAGS = 
451EXT_LIBECAP_LIBS = -lecap
452FALSE = /bin/false
453FGREP = /bin/fgrep
454GREP = grep
455HAVE_CXX11 = 1
456ICAP_LIBS = icap/libicap.la
457INCLTDL = 
458INSTALL = /usr/bin/install -c
459INSTALL_DATA = ${INSTALL} -m 644
460INSTALL_PROGRAM = ${INSTALL}
461INSTALL_SCRIPT = ${INSTALL}
462INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
463KRB5INCS = -isystem /usr/include/mit-krb5
464KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
465LBERLIB = -llber
466LD = /usr/bin/ld -m elf_x86_64
467LDAPLIB = -lldap
468LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
469LIBADD_DL = -ldl
470LIBADD_DLD_LINK = 
471LIBADD_DLOPEN = -ldl
472LIBADD_SHL_LOAD = 
473LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
474LIBGNUTLS_LIBS = -lgnutls
475LIBLTDL = -lltdl
476LIBOBJS = 
477LIBOPENSSL_CFLAGS = 
478LIBOPENSSL_LIBS = -lssl -lcrypto
479LIBS = 
480LIBSASL = -lsasl2
481LIBTOOL = $(SHELL) $(top_builddir)/libtool
482LIB_DB = -ldb
483LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
484LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
485LINUXDOC = /bin/false
486LIPO = 
487LN = /bin/ln
488LN_S = ln -s
489LOG_DAEMON_HELPERS =  DB file
490LTDLDEPS = 
491LTDLINCL = 
492LTDLOPEN = libltdl
493LTLIBOBJS = 
494LT_ARGZ_H = 
495LT_CONFIG_H = include/autoconf.h
496LT_DLLOADERS =  libltdl/dlopen.la
497LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
498LT_SYS_LIBRARY_PATH = 
499MAINT = #
500MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
501MANIFEST_TOOL = :
502MINGW_LIBS = 
503MKDIR = /bin/mkdir
504MKDIR_P = /bin/mkdir -p
505MV = /bin/mv
506NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
507NETTLELIB =  -lnettle
508NM = /usr/bin/nm -B
509NMEDIT = 
510NTLM_AUTH_HELPERS =  fake smb_lm
511OBJDUMP = objdump
512OBJEXT = o
513OTOOL = 
514OTOOL64 = 
515PACKAGE = squid
516PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
517PACKAGE_NAME = Squid Web Proxy
518PACKAGE_STRING = Squid Web Proxy 3.5.12
519PACKAGE_TARNAME = squid
520PACKAGE_URL = 
521PACKAGE_VERSION = 3.5.12
522PATH_SEPARATOR = :
523PERL = /usr/bin/perl
524PKG_CONFIG = /usr/bin/pkg-config
525PKG_CONFIG_LIBDIR = 
526PKG_CONFIG_PATH = 
527PO2HTML = off
528PO2TEXT = off
529POD2MAN = /usr/bin/pod2man
530RANLIB = ranlib
531REGEXLIB = 
532REPL_LIBS = liblru.a libheap.a
533REPL_OBJS = repl/liblru.a repl/libheap.a
534REPL_POLICIES = lru heap
535RM = /bin/rm -f
536SED = /bin/sed
537SET_MAKE = 
538SH = /bin/sh
539SHELL = /bin/bash
540SMBCLIENT = /usr/bin/smbclient
541SNMPLIB = ../lib/snmplib/libsnmplib.la
542SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
543SQUID_CPPUNIT_INC = 
544SQUID_CPPUNIT_LA = 
545SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
546SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
547SSLLIB =  -lssl -lcrypto  -lgnutls
548STOREID_REWRITE_HELPERS =  file
549STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
550STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
551STORE_TESTS = 
552STRIP = strip
553TR = /usr/bin/tr
554TRUE = /bin/true
555URL_REWRITE_HELPERS =  fake
556VERSION = 3.5.12
557WBINFO = 
558WIN32_PSAPI = 
559XMLLIB = -lxml2
560XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
561XTRA_OBJS = 
562abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/helpers/basic_auth/DB
563abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/helpers/basic_auth/DB
564abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
565abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
566ac_ct_AR = 
567ac_ct_CC = gcc
568ac_ct_CXX = g++
569ac_ct_DUMPBIN = 
570am__include = include
571am__leading_dot = .
572am__quote = 
573am__tar = tar --format=ustar -chf - "$$tardir"
574am__untar = tar -xf -
575bindir = ${exec_prefix}/bin
576build = x86_64-pc-linux-gnu
577build_alias = x86_64-linux-gnu
578build_cpu = x86_64
579build_os = linux-gnu
580build_vendor = pc
581builddir = .
582datadir = /usr/share/squid-ssl
583datarootdir = ${prefix}/share
584docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
585dvidir = ${docdir}
586exec_prefix = ${prefix}
587host = x86_64-pc-linux-gnu
588host_alias = 
589host_cpu = x86_64
590host_os = linux-gnu
591host_vendor = pc
592htmldir = ${docdir}
593includedir = ${prefix}/include
594infodir = ${prefix}/share/info
595install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
596krb5_config = 
597libdir = ${exec_prefix}/lib
598libexecdir = /usr/lib/squid-ssl
599localedir = ${datarootdir}/locale
600localstatedir = /var
601ltdl_LIBOBJS =  lt__strl.o
602ltdl_LTLIBOBJS =  lt__strl.lo
603mandir = /usr/share/man
604mkdir_p = $(MKDIR_P)
605oldincludedir = /usr/include
606pdfdir = ${docdir}
607prefix = /usr
608program_transform_name = s&$$&-ssl&
609psdir = ${docdir}
610runstatedir = ${localstatedir}/run
611sbindir = ${exec_prefix}/sbin
612sharedstatedir = ${prefix}/com
613srcdir = .
614subdirs =  libltdl
615sys_symbol_underscore = no
616sysconfdir = /etc/squid-ssl
617target_alias = 
618top_build_prefix = ../../../
619top_builddir = ../../..
620top_srcdir = ../../..
621AM_CFLAGS = $(SQUID_CFLAGS)
622AM_CXXFLAGS = $(SQUID_CXXFLAGS)
623CLEANFILES = basic_db_auth $(am__append_2)
624AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
625        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
626        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
627        $(am__append_1)
628LIBPROFILER = 
629#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
630COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
631subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
632libexec_SCRIPTS = basic_db_auth
633EXTRA_DIST = passwd.sql basic_db_auth.pl.in required.m4 \
634        $(am__append_3)
635man_MANS = basic_db_auth.8
636all: all-am
637
638.SUFFIXES:
639.SUFFIXES: .log .test .test$(EXEEXT) .trs
640$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
641        @for dep in $?; do \
642          case '$(am__configure_deps)' in \
643            *$$dep*) \
644              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
645                && { if test -f $@; then exit 0; else break; fi; }; \
646              exit 1;; \
647          esac; \
648        done; \
649        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu helpers/basic_auth/DB/Makefile'; \
650        $(am__cd) $(top_srcdir) && \
651          $(AUTOMAKE) --gnu helpers/basic_auth/DB/Makefile
652Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
653        @case '$?' in \
654          *config.status*) \
655            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
656          *) \
657            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
658            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
659        esac;
660$(top_srcdir)/src/Common.am $(am__empty):
661
662$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
663        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
664
665$(top_srcdir)/configure: # $(am__configure_deps)
666        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
667$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
668        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
669$(am__aclocal_m4_deps):
670
671clean-checkPROGRAMS:
672        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
673        echo " rm -f" $$list; \
674        rm -f $$list || exit $$?; \
675        test -n "$(EXEEXT)" || exit 0; \
676        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
677        echo " rm -f" $$list; \
678        rm -f $$list
679install-libexecSCRIPTS: $(libexec_SCRIPTS)
680        @$(NORMAL_INSTALL)
681        @list='$(libexec_SCRIPTS)'; test -n "$(libexecdir)" || list=; \
682        if test -n "$$list"; then \
683          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
684          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
685        fi; \
686        for p in $$list; do \
687          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
688          if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
689        done | \
690        sed -e 'p;s,.*/,,;n' \
691            -e 'h;s|.*|.|' \
692            -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
693        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
694          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
695            if ($$2 == $$4) { files[d] = files[d] " " $$1; \
696              if (++n[d] == $(am__install_max)) { \
697                print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
698            else { print "f", d "/" $$4, $$1 } } \
699          END { for (d in files) print "f", d, files[d] }' | \
700        while read type dir files; do \
701             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
702             test -z "$$files" || { \
703               echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
704               $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
705             } \
706        ; done
707
708uninstall-libexecSCRIPTS:
709        @$(NORMAL_UNINSTALL)
710        @list='$(libexec_SCRIPTS)'; test -n "$(libexecdir)" || exit 0; \
711        files=`for p in $$list; do echo "$$p"; done | \
712               sed -e 's,.*/,,;$(transform)'`; \
713        dir='$(DESTDIR)$(libexecdir)'; $(am__uninstall_files_from_dir)
714
715mostlyclean-libtool:
716        -rm -f *.lo
717
718clean-libtool:
719        -rm -rf .libs _libs
720install-man8: $(man_MANS)
721        @$(NORMAL_INSTALL)
722        @list1=''; \
723        list2='$(man_MANS)'; \
724        test -n "$(man8dir)" \
725          && test -n "`echo $$list1$$list2`" \
726          || exit 0; \
727        echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
728        $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
729        { for i in $$list1; do echo "$$i"; done;  \
730        if test -n "$$list2"; then \
731          for i in $$list2; do echo "$$i"; done \
732            | sed -n '/\.8[a-z]*$$/p'; \
733        fi; \
734        } | while read p; do \
735          if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
736          echo "$$d$$p"; echo "$$p"; \
737        done | \
738        sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
739              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
740        sed 'N;N;s,\n, ,g' | { \
741        list=; while read file base inst; do \
742          if test "$$base" = "$$inst"; then list="$$list $$file"; else \
743            echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
744            $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
745          fi; \
746        done; \
747        for i in $$list; do echo "$$i"; done | $(am__base_list) | \
748        while read files; do \
749          test -z "$$files" || { \
750            echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
751            $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
752        done; }
753
754uninstall-man8:
755        @$(NORMAL_UNINSTALL)
756        @list=''; test -n "$(man8dir)" || exit 0; \
757        files=`{ for i in $$list; do echo "$$i"; done; \
758        l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
759          sed -n '/\.8[a-z]*$$/p'; \
760        } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
761              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
762        dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
763tags TAGS:
764
765ctags CTAGS:
766
767cscope cscopelist:
768
769
770# Recover from deleted '.trs' file; this should ensure that
771# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
772# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
773# to avoid problems with "make -n".
774.log.trs:
775        rm -f $< $@
776        $(MAKE) $(AM_MAKEFLAGS) $<
777
778# Leading 'am--fnord' is there to ensure the list of targets does not
779# expand to empty, as could happen e.g. with make check TESTS=''.
780am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
781am--force-recheck:
782        @:
783
784$(TEST_SUITE_LOG): $(TEST_LOGS)
785        @$(am__set_TESTS_bases); \
786        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
787        redo_bases=`for i in $$bases; do \
788                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
789                    done`; \
790        if test -n "$$redo_bases"; then \
791          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
792          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
793          if $(am__make_dryrun); then :; else \
794            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
795          fi; \
796        fi; \
797        if test -n "$$am__remaking_logs"; then \
798          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
799               "recursion detected" >&2; \
800        elif test -n "$$redo_logs"; then \
801          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
802        fi; \
803        if $(am__make_dryrun); then :; else \
804          st=0;  \
805          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
806          for i in $$redo_bases; do \
807            test -f $$i.trs && test -r $$i.trs \
808              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
809            test -f $$i.log && test -r $$i.log \
810              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
811          done; \
812          test $$st -eq 0 || exit 1; \
813        fi
814        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
815        ws='[   ]'; \
816        results=`for b in $$bases; do echo $$b.trs; done`; \
817        test -n "$$results" || results=/dev/null; \
818        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
819        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
820        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
821        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
822        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
823        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
824        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
825        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
826          success=true; \
827        else \
828          success=false; \
829        fi; \
830        br='==================='; br=$$br$$br$$br$$br; \
831        result_count () \
832        { \
833            if test x"$$1" = x"--maybe-color"; then \
834              maybe_colorize=yes; \
835            elif test x"$$1" = x"--no-color"; then \
836              maybe_colorize=no; \
837            else \
838              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
839            fi; \
840            shift; \
841            desc=$$1 count=$$2; \
842            if test $$maybe_colorize = yes && test $$count -gt 0; then \
843              color_start=$$3 color_end=$$std; \
844            else \
845              color_start= color_end=; \
846            fi; \
847            echo "$${color_start}# $$desc $$count$${color_end}"; \
848        }; \
849        create_testsuite_report () \
850        { \
851          result_count $$1 "TOTAL:" $$all   "$$brg"; \
852          result_count $$1 "PASS: " $$pass  "$$grn"; \
853          result_count $$1 "SKIP: " $$skip  "$$blu"; \
854          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
855          result_count $$1 "FAIL: " $$fail  "$$red"; \
856          result_count $$1 "XPASS:" $$xpass "$$red"; \
857          result_count $$1 "ERROR:" $$error "$$mgn"; \
858        }; \
859        {                                                               \
860          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
861            $(am__rst_title);                                           \
862          create_testsuite_report --no-color;                           \
863          echo;                                                         \
864          echo ".. contents:: :depth: 2";                               \
865          echo;                                                         \
866          for b in $$bases; do echo $$b; done                           \
867            | $(am__create_global_log);                                 \
868        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
869        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
870        if $$success; then                                              \
871          col="$$grn";                                                  \
872         else                                                           \
873          col="$$red";                                                  \
874          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
875        fi;                                                             \
876        echo "$${col}$$br$${std}";                                      \
877        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
878        echo "$${col}$$br$${std}";                                      \
879        create_testsuite_report --maybe-color;                          \
880        echo "$$col$$br$$std";                                          \
881        if $$success; then :; else                                      \
882          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
883          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
884            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
885          fi;                                                           \
886          echo "$$col$$br$$std";                                        \
887        fi;                                                             \
888        $$success || exit 1
889
890check-TESTS:
891        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
892        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
893        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
894        @set +e; $(am__set_TESTS_bases); \
895        log_list=`for i in $$bases; do echo $$i.log; done`; \
896        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
897        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
898        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
899        exit $$?;
900recheck: all $(check_PROGRAMS)
901        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
902        @set +e; $(am__set_TESTS_bases); \
903        bases=`for i in $$bases; do echo $$i; done \
904                 | $(am__list_recheck_tests)` || exit 1; \
905        log_list=`for i in $$bases; do echo $$i.log; done`; \
906        log_list=`echo $$log_list`; \
907        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
908                am__force_recheck=am--force-recheck \
909                TEST_LOGS="$$log_list"; \
910        exit $$?
911.test.log:
912        @p='$<'; \
913        $(am__set_b); \
914        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
915        --log-file $$b.log --trs-file $$b.trs \
916        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
917        "$$tst" $(AM_TESTS_FD_REDIRECT)
918#.test$(EXEEXT).log:
919#       @p='$<'; \
920#       $(am__set_b); \
921#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
922#       --log-file $$b.log --trs-file $$b.trs \
923#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
924#       "$$tst" $(AM_TESTS_FD_REDIRECT)
925
926distdir: $(DISTFILES)
927        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
928        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
929        list='$(DISTFILES)'; \
930          dist_files=`for file in $$list; do echo $$file; done | \
931          sed -e "s|^$$srcdirstrip/||;t" \
932              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
933        case $$dist_files in \
934          */*) $(MKDIR_P) `echo "$$dist_files" | \
935                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
936                           sort -u` ;; \
937        esac; \
938        for file in $$dist_files; do \
939          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
940          if test -d $$d/$$file; then \
941            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
942            if test -d "$(distdir)/$$file"; then \
943              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
944            fi; \
945            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
946              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
947              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
948            fi; \
949            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
950          else \
951            test -f "$(distdir)/$$file" \
952            || cp -p $$d/$$file "$(distdir)/$$file" \
953            || exit 1; \
954          fi; \
955        done
956check-am: all-am
957        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
958        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
959check: check-am
960all-am: Makefile $(SCRIPTS) $(MANS)
961installdirs:
962        for dir in "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"; do \
963          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
964        done
965install: install-am
966install-exec: install-exec-am
967install-data: install-data-am
968uninstall: uninstall-am
969
970install-am: all-am
971        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
972
973installcheck: installcheck-am
974install-strip:
975        if test -z '$(STRIP)'; then \
976          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
977            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
978              install; \
979        else \
980          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
981            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
982            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
983        fi
984mostlyclean-generic:
985        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
986        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
987        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
988
989clean-generic:
990        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
991
992distclean-generic:
993        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
994        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
995
996maintainer-clean-generic:
997        @echo "This command is intended for maintainers to use"
998        @echo "it deletes files that may require special tools to rebuild."
999clean: clean-am
1000
1001clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1002        mostlyclean-am
1003
1004distclean: distclean-am
1005        -rm -f Makefile
1006distclean-am: clean-am distclean-generic
1007
1008dvi: dvi-am
1009
1010dvi-am:
1011
1012html: html-am
1013
1014html-am:
1015
1016info: info-am
1017
1018info-am:
1019
1020install-data-am: install-man
1021
1022install-dvi: install-dvi-am
1023
1024install-dvi-am:
1025
1026install-exec-am: install-libexecSCRIPTS
1027
1028install-html: install-html-am
1029
1030install-html-am:
1031
1032install-info: install-info-am
1033
1034install-info-am:
1035
1036install-man: install-man8
1037
1038install-pdf: install-pdf-am
1039
1040install-pdf-am:
1041
1042install-ps: install-ps-am
1043
1044install-ps-am:
1045
1046installcheck-am:
1047
1048maintainer-clean: maintainer-clean-am
1049        -rm -f Makefile
1050maintainer-clean-am: distclean-am maintainer-clean-generic
1051
1052mostlyclean: mostlyclean-am
1053
1054mostlyclean-am: mostlyclean-generic mostlyclean-libtool
1055
1056pdf: pdf-am
1057
1058pdf-am:
1059
1060ps: ps-am
1061
1062ps-am:
1063
1064uninstall-am: uninstall-libexecSCRIPTS uninstall-man
1065
1066uninstall-man: uninstall-man8
1067
1068.MAKE: check-am install-am install-strip
1069
1070.PHONY: all all-am check check-TESTS check-am clean \
1071        clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
1072        ctags-am distclean distclean-generic distclean-libtool distdir \
1073        dvi dvi-am html html-am info info-am install install-am \
1074        install-data install-data-am install-dvi install-dvi-am \
1075        install-exec install-exec-am install-html install-html-am \
1076        install-info install-info-am install-libexecSCRIPTS \
1077        install-man install-man8 install-pdf install-pdf-am install-ps \
1078        install-ps-am install-strip installcheck installcheck-am \
1079        installdirs maintainer-clean maintainer-clean-generic \
1080        mostlyclean mostlyclean-generic mostlyclean-libtool pdf pdf-am \
1081        ps ps-am recheck tags-am uninstall uninstall-am \
1082        uninstall-libexecSCRIPTS uninstall-man uninstall-man8
1083
1084.PRECIOUS: Makefile
1085
1086
1087$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1088
1089basic_db_auth: basic_db_auth.pl.in
1090        $(subst_perlshell)
1091
1092basic_db_auth.8: basic_db_auth
1093        pod2man --section=8 basic_db_auth basic_db_auth.8
1094
1095# Tell versions [3.59,3.63) of GNU make to not export all variables.
1096# Otherwise a system limit (for SysV at least) may be exceeded.
1097.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.